echo off
if x%1==x goto Usage
rem
rem Batch file (c) 1991-99 Pavel Baudis, ALWIL Software
rem This batch is a part of AVAST! version 7.70
rem
rem Usage:   CHECK C: D: E: F:
rem
rem tests file integrity on drives C: through F:
rem
rem Note: You may modify this batch file to suit your needs
rem
:loop
aguard %1 /s
if errorlevel 99 goto exit1
if errorlevel 4 goto error
if errorlevel 3 goto inter
if errorlevel 2 goto updated
if errorlevel 1 goto noupdate
cls
echo.
echo. ***** No critical change detected on drive %1 *****
echo.
:back
if x%2==x goto ok
shift
goto loop
:Usage
echo.
echo.   This batch file for critical changes in files on specified drives.
echo.
echo.   Usage:
echo.
echo.   CHECK C: D: F: G:
echo.
echo.  (specify drives you wish checked on the command line)
echo.
goto exit1
:error
cls
echo.
echo. CHECK: error while working with drive %1 !
echo.
goto exit1
:inter
cls
echo.
echo. CHECK: interrupted by user
echo.
goto exit1
:updated
cls
echo.
echo. ***** file changes detected, database updated. *****
echo.
pause
goto back
:noupdate
cls
echo.
echo. ***** file changes detected, database NOT updated. *****
echo.
pause
goto back
:ok
echo.
echo. ***** testing is finished. *****
echo.
:exit1
